package com.philisense.www.service.impl;


import com.philisense.www.dao.ProOrgDAO;
import com.philisense.www.service.ProOrgService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service
public class ProOrgServiceImpl implements ProOrgService {

@Autowired
private ProOrgDAO proOrgDAO;

@Override
public int deleteByPrimaryKey(String id) {
return proOrgDAO.deleteByPrimaryKey(id);
}

@Override
public Map<String, Object> selectByPrimaryKey(String id) {
return proOrgDAO.selectByPrimaryKey(id);
}

@Override
public int insert(Map<String, Object> map) {
return proOrgDAO.insert(map);
}

@Override
public int update(Map<String, Object> map) {
return proOrgDAO.update(map);
}

@Override
public int deleteByMap(Map<String, Object> map) {
return proOrgDAO.deleteByMap(map);
}

@Override
public int updateByMap(Map<String, Object> map) {
return proOrgDAO.updateByMap(map);
}

@Override
public Map<String, Object> getOne(Map<String, Object> map) {
return proOrgDAO.getOne(map);
}

@Override
public List<Map<String, Object>> getAll(Map<String, Object> map) {
return proOrgDAO.getAll(map);
}

@Override
public List<Map<String, Object>> queryPage(Map<String, Object> map) {
return proOrgDAO.queryPage(map);
}

@Override
public int count(Map<String, Object> map) {
return proOrgDAO.count(map);
}

@Override
public void insertBatch(List<Map<String, Object>> list) {
proOrgDAO.insertBatch(list);
}

@Override
public void deleteBatch(List<Map<String, Object>> list) {
proOrgDAO.deleteBatch(list);
}

@Override
public void updateBatch(List<Map<String, Object>> list) {
proOrgDAO.updateBatch(list);
}

    @Override
    public List<Map<String, Object>> getProOrgTreeByParentid(Map<String, Object> map) {
        return proOrgDAO.getProOrgTreeByParentid(map);
    }

    @Override
    public List<Map<String, Object>> getProOrgTreeByLevelCode(Map<String, Object> map) {
        return proOrgDAO.getProOrgTreeByLevelCode(map);
    }

    @Override
    public List<Map<String, Object>> getPageProOrgByOrgCode(Map<String, Object> map) {
        return proOrgDAO.getPageProOrgByOrgCode(map);
    }

    @Override
    public int getCountProOrgByOrgCode(Map<String, Object> map) {
        return proOrgDAO.getCountProOrgByOrgCode(map);
    }

    @Override
    public int updateDropNode(Map<String, Object> map) {
        return proOrgDAO.updateDropNode(map);
    }

    @Override
    public void updateBatchLevelCode(Map<String, Object> map) {
        proOrgDAO.updateBatchLevelCode(map);
    }

    @Override
    public List<Map<String, Object>> getAllOrg(Map<String, Object> map) {
        return proOrgDAO.getAllOrg(map);
    }
}